<div class="row"></div>
<div class="col-sm-8 col-sm-offset-2">
    <form (ngSubmit)="onSubmitForm(form)" #form="ngForm">
        <div class="form-group">
            <label for="name">Nom de l'appareil</label>
            <input type="text" id="name" class="form-control" name="deviceName" ngModel required>
        </div>
        <div class="form-group">
            <label for="status">Etat de l'appareil</label>
            <select id="status" class="form-control" name="deviceStatus" [ngModel]="defaultDeviceStatus" >
                <option [value]="deviceStatusOn">Allumé</option>
                <option [value]="deviceStatusOff">Eteint</option>
            </select>
        </div>
        <button type="submit" class="btn btn-primary" [disabled]="form.invalid"> Enregistrer</button>
    </form>
</div>
